[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# ReadComponentResEx

Read component properties from a resource in the specified module

## Declaration

Source position: classesh.inc line 2274

`function ReadComponentResEx(`
`HInstance: THandle;`
`const ResName: string`
`):TComponent;`

## Description

ReadComponentRes will locate the resource ResName in instance HInstance (the current program, normally). It returns Nil if the resource was not found. It returns an instantiated component with all properties found in the stream, applied. This requires that the component is registered using registerclass.

## Errors

The function may raise an exception if the stream contains wrong data.

## See also

ReadComponentRes |  | Read component properties from a resource in the current module